from url_filter.filtersets import ModelFilterSet
from authentication.models import (
    UserProfile,
    SystemUserProfile, ExternalTransaction
)
from panel.models import PoultryRequestExchange


# فیلترست مریوط به مدل کاربر (برای قسمت جستجو اطلاعات کاربراستفاده میشود)
class UserProfileFilterSet(ModelFilterSet):
    class Meta:
        model = UserProfile


# فیلترست مریوط به مدل درخواست مرغدار (برای قسمت جستجو درخواست مرغدار استفاده میشود)
class PoultryRequestExchangeFilterSet(ModelFilterSet):
    class Meta:
        model = PoultryRequestExchange


class SystemUserProfileFilteSet(ModelFilterSet):
    class Meta:
        model = SystemUserProfile


class ExternalTransactionFilterSet(ModelFilterSet):
    class Meta:
        model = ExternalTransaction

